# When editing this file, remember that http://www.yamllint.com is your friend :-)
---

driver_plugin: vagrant

provisioner:
  name: chef_zero
  require_chef_omnibus: 12.19.36

platforms:
  - name: centos-7.2
    driver:
      box_url: http://opscode-vm-bento.s3.amazonaws.com/vagrant/virtualbox/opscode_centos-7.2_chef-provisionerless.box
      
suites:
  - name: img-basic
    run_list:
      - recipe[img-basic::default]
    data_bags_path: "test/integration/data_bags"
    # If you want to use a local copy of databags
    # data_bags_path: "../pcb-data_bags"
    attributes: {
      "name": "img-basic-test",
      "datadog" : {
        "api_key" : "23445TESTME3434",
        "application_key" : "23445TESTME3434",
        "enabled" : true,
        "templates" : ['network','nginx','process']
      },
      "snort" : {
        "oinkmaster" : {
          "interface" : "enp0s3"
        }
      },
      "certs" : {
        "test" : {
          "databag" : "ssl",
          "key_file" : "/etc/pki/tls/certs/test_key.crt",
          "cert_file" : "/etc/pki/tls/certs/test_cert.crt"
        }
      },
      "logstash-forwarder" : {
        "enabled" : true,
        "ssl_cert" : "/etc/pki/tls/certs/test_cert.crt",
        "ssl_ca" : "/etc/pki/tls/certs/test_cert.crt"
      },
      "yum": {
        "yum_update": false,
        # TODO - test it!
        "disable_mirrors" : true
      },
      "swap": {
        "enabled": true
      },
      "iptables" : {
        "public_ports" : ['22','80']
      }
    }
